Subject: Re: bug#33250: 26.1.50; Unable to build emacs-26 branch out of tree on fedora 29

From: [email-masked] (Pierre Téchoueyres)
Date: Fri, 09 Nov 2018 01:35:38 +0100

Hello Paul,

Paul Eggert <[email-masked]> writes:
>
> How about if you try cloning afresh into a new directory in a
> different filesystem? Something like the following. The 'git clone'
> will take a while but if this doesn't work then we can try to figure
> out why:
>
> cd /tmp
> mkdir d
> cd d
> git clone -b emacs-26 git://git.sv.gnu.org/emacs.git
> cd emacs
> ./autogen.sh
> mkdir build-26
> cd build-26
> ../configure --with-dbus --with-gif --with-jpeg --with-png --with-rsvg
> --with-tiff --with-xft --with-xpm --with-x-toolkit=gtk3
> --with-xwidgets --with-modules --with-mailutils 'CFLAGS=-O2 -g0'
> LC_ALL=C make
>
> Also, please check your environment (run the 'env' command) to see if
> there's something funny in your PATH, or something like that. For
> example, you should be running git 2.19.1, make 4.2.1, gcc 8.2.1
> 20181011.

I've followed your advices and tried in my /tmp directory. Everything is
working as expected : emacs build successfully.

I then cleanup my git repo (another time with git clean -dfx), trashed
my emacs-26 worktree. Then I recreated it and successfully build my
emacs.

I'm sorry for the annoyance and I therefore close the bug.